(function ($, Drupal, once) {

  'use strict';

  /**
   * Enables box widget on color elements.
   *
   * @type {Drupal~behavior}
   *
   * @prop {Drupal~behaviorAttach} attach
   *   Attaches a box widget to a color input element.
   */
  Drupal.behaviors.color_element = {
    attach: function (context, settings) {

      var $context = $(context);

      once('colorElement', '.color-element-swatch .inner').forEach(element => {
        $(element).css({ "background-color": $(element).parent().data('swatch-color') });
        $(element).click(
          function () {
            $(element).parent().addClass('selected').siblings().removeClass('selected');
            var selected_colour = $(element).parent().data('swatch-color');
            $(element).parent().parent().parent().find('input').val(selected_colour);
          }
        );
      });

      once('colorElement', '.color-element').forEach(element => {
        var $element = $(element);
        var $input = $element.prev().find('input');
        $input.hide();
      });
    },
  };
})(jQuery, Drupal, once);
